Loading...
Searching...
No Matches
geo_element_contains.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_instanciation(T, M)

## Functions

template<class T, class M>
bool | point_belongs_to_e (const geo_element &K, const disarray< point_basic< T >, M > &node, const point_basic< T > &x)
template<class T, class M>
bool | point_belongs_to_t (const geo_element &K, const disarray< point_basic< T >, M > &node, const point_basic< T > &x)
template<class T, class M>
bool | point_belongs_to_q (const geo_element &K, const disarray< point_basic< T >, M > &node, const point_basic< T > &x)
template<class T, class M>
bool | point_belongs_to_T (const geo_element &K, const disarray< point_basic< T >, M > &node, const point_basic< T > &x)
template<class T, class M>
bool | point_belongs_to_H (const geo_element &K, const disarray< point_basic< T >, M > &node, const point_basic< T > &x)
template<class T, class M>
bool | point_belongs_to_P (const geo_element &K, const disarray< point_basic< T >, M > &node, const point_basic< T > &x)
template<class T, class M>
bool | contains (const geo_element &K, const disarray< point_basic< T >, M > &node, const point_basic< T > &x)
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M )

Value:
template bool contains ( \
const geo_element& , \
const disarray<point_basic<T>,M>&, \
const point_basic<T>&);
M
Expr1::memory_type M
Definition vec_expr_v2.h:416

Definition at line 162 of file geo_element_contains.cc.